## org.hibernate.type.descriptor.sql
Class IntegerTypeDescriptor

    java.lang.Object
      org.hibernate.type.descriptor.sql.IntegerTypeDescriptor

All Implemented Interfaces:
  Serializable, SqlTypeDescriptor

    public class IntegerTypeDescriptor

extends Object
implements SqlTypeDescriptor

Descriptor for `INTEGER` handling.

See Also:
  Serialized Form

Field Summary
`static IntegerTypeDescriptor` `INSTANCE`

Constructor Summary
`IntegerTypeDescriptor()`

Method Summary
`boolean` `canBeRemapped()` Is this descriptor available for remapping?

`

`<X> ValueBinder<X>`

`

`getBinder(JavaTypeDescriptor<X> javaTypeDescriptor)`

`

`<X> ValueExtractor<X>`

`

`getExtractor(JavaTypeDescriptor<X> javaTypeDescriptor)`

`int` `getSqlType()` Return the JDBC type-code for the column mapped by this type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final IntegerTypeDescriptor INSTANCE

Constructor Detail

### IntegerTypeDescriptor

    public IntegerTypeDescriptor()

Method Detail

### getSqlType

    public int getSqlType()

  Description copied from interface: `SqlTypeDescriptor`
  Return the JDBC type-code for the column mapped by this type.

  Specified by:
    `getSqlType` in interface `SqlTypeDescriptor`
  Returns:
    typeCode The JDBC type-code

### canBeRemapped

    public boolean canBeRemapped()

  Description copied from interface: `SqlTypeDescriptor`
  Is this descriptor available for remapping?

  Specified by:
    `canBeRemapped` in interface `SqlTypeDescriptor`
  Returns:
    `true` indicates this descriptor can be remapped; otherwise, `false`
  See Also:
    `WrapperOptions.remapSqlTypeDescriptor(org.hibernate.type.descriptor.sql.SqlTypeDescriptor)`, `Dialect.remapSqlTypeDescriptor(org.hibernate.type.descriptor.sql.SqlTypeDescriptor)`

### getBinder

    public <X> ValueBinder<X> getBinder(JavaTypeDescriptor<X> javaTypeDescriptor)

  Specified by:
    `getBinder` in interface `SqlTypeDescriptor`

### getExtractor

    public <X> ValueExtractor<X> getExtractor(JavaTypeDescriptor<X> javaTypeDescriptor)

  Specified by:
    `getExtractor` in interface `SqlTypeDescriptor`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.